%define		_class		DBA
%define		_subclass	Relational
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	0.2.0
Release:	%mkrel 13
Epoch:		1
Summary:	Berkeley-style database abstraction class
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/DBA_Relational/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
Table management extension for DBA.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/docs/*
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Wed Feb 17 2016 luigiwalser <luigiwalser> 1:0.2.0-13.mga6
+ Revision: 964584
- fix file list the correct way

* Wed Feb 17 2016 umeabot <umeabot> 1:0.2.0-12.mga6
+ Revision: 964485
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.2.0-11.mga5
+ Revision: 750136
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1:0.2.0-10.mga5
+ Revision: 734039
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1:0.2.0-9.mga5
+ Revision: 687208
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.2.0-8.mga4
+ Revision: 516670
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.2.0-7.mga3
+ Revision: 375970
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 spuhler <spuhler> 1:0.2.0-6.mga1
+ Revision: 47357
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-DBA_Relational

